## rust-yaxpeax-arm 0.3.1

=== Makefile ===
test: test-fast test-exhaustive

test-fast: test-std test-no-std

test-exhaustive:
	cargo test -- --ignored
	cargo test --no-default-features -- --ignored

test-std:
	cargo test
test-no-std:
	cargo test --no-default-features

## rust-yaxpeax-arm 0.3.0

=== debian/changelog ===
rust-yaxpeax-arm (0.3.0-1) unstable; urgency=medium

  * Package yaxpeax-arm 0.3.0 from crates.io using debcargo 2.7.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 31 Dec 2024 16:03:16 +0100

=== debian/control ===
Source: rust-yaxpeax-arm
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitvec-1+default-dev (>= 1.0.1-~~) <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-derive-1+default-dev <!nocheck>,
 librust-yaxpeax-arch-0.3+std-dev (>= 0.3.1-~~) <!nocheck>,
 librust-yaxpeax-arch-0.3+use-serde-dev (>= 0.3.1-~~) <!nocheck>,
 librust-yaxpeax-arch-0.3-dev (>= 0.3.1-~~) <!nocheck>,
 librust-ring-dev,
 librust-crossterm-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/yaxpeax-arm]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/yaxpeax-arm
Homepage: http://git.iximeow.net/yaxpeax-arm/
X-Cargo-Crate: yaxpeax-arm
Rules-Requires-Root: no

Package: librust-yaxpeax-arm-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitvec-1+default-dev (>= 1.0.1-~~),
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-yaxpeax-arch-0.3+std-dev (>= 0.3.1-~~),
 librust-yaxpeax-arch-0.3+use-serde-dev (>= 0.3.1-~~),
 librust-yaxpeax-arch-0.3-dev (>= 0.3.1-~~)
Provides:
 librust-yaxpeax-arm+default-dev (= ${binary:Version}),
 librust-yaxpeax-arm+serde-dev (= ${binary:Version}),
 librust-yaxpeax-arm+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-arm+std-dev (= ${binary:Version}),
 librust-yaxpeax-arm+use-serde-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0+default-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0+serde-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0+std-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0+use-serde-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0.3-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0.3+default-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0.3+serde-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0.3+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0.3+std-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0.3+use-serde-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0.3.0-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0.3.0+default-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0.3.0+serde-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0.3.0+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0.3.0+std-dev (= ${binary:Version}),
 librust-yaxpeax-arm-0.3.0+use-serde-dev (= ${binary:Version})
Description: Arm decoders for the yaxpeax project - Rust source code
 Source code for Debianized Rust crate "yaxpeax-arm"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arm 0.3.0 --all-targets --all-features
Features: test-name=rust-yaxpeax-arm:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arm 0.3.0 --all-targets
Features: test-name=librust-yaxpeax-arm-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arm 0.3.0 --all-targets --no-default-features --features serde
Features: test-name=librust-yaxpeax-arm-dev:serde
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arm 0.3.0 --all-targets --no-default-features --features serde_derive
Features: test-name=librust-yaxpeax-arm-dev:serde_derive
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arm 0.3.0 --all-targets --no-default-features --features std
Features: test-name=librust-yaxpeax-arm-dev:std
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arm 0.3.0 --all-targets --no-default-features --features use-serde
Features: test-name=librust-yaxpeax-arm-dev:use-serde
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arm 0.3.0 --all-targets --no-default-features
Features: test-name=librust-yaxpeax-arm-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

## rust-yaxpeax-arm 0.3.1

=== debian/changelog ===
rust-yaxpeax-arm (0.3.1-1) unstable; urgency=medium

  * Team upload
  * Package yaxpeax-arm 0.3.1 from crates.io using debcargo 2.7.8

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 29 Aug 2025 10:50:18 -0400

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-cargo,
- cargo:native <!nocheck>,
+ librust-ring-dev,
+ librust-crossterm-dev
+Build-Depends-Arch: cargo:native <!nocheck>,
  rustc:native <!nocheck>,
  libstd-rust-dev <!nocheck>,
- librust-bitvec-1+default-dev (>= 1.0.1-~~) <!nocheck>,
+ librust-bitvec-1-dev (>= 1.0.1-~~) <!nocheck>,
  librust-serde-1+default-dev <!nocheck>,
  librust-serde-derive-1+default-dev <!nocheck>,
  librust-yaxpeax-arch-0.3+std-dev (>= 0.3.1-~~) <!nocheck>,
  librust-yaxpeax-arch-0.3+use-serde-dev (>= 0.3.1-~~) <!nocheck>,
- librust-yaxpeax-arch-0.3-dev (>= 0.3.1-~~) <!nocheck>,
- librust-ring-dev,
- librust-crossterm-dev
+ librust-yaxpeax-arch-0.3-dev (>= 0.3.1-~~) <!nocheck>
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Sylvestre Ledru <sylvestre@debian.org>
@@ -29,7 +29,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- librust-bitvec-1+default-dev (>= 1.0.1-~~),
+ librust-bitvec-1-dev (>= 1.0.1-~~),
  librust-serde-1+default-dev,
  librust-serde-derive-1+default-dev,
  librust-yaxpeax-arch-0.3+std-dev (>= 0.3.1-~~),
@@ -53,11 +53,11 @@
  librust-yaxpeax-arm-0.3+serde-derive-dev (= ${binary:Version}),
  librust-yaxpeax-arm-0.3+std-dev (= ${binary:Version}),
  librust-yaxpeax-arm-0.3+use-serde-dev (= ${binary:Version}),
- librust-yaxpeax-arm-0.3.0-dev (= ${binary:Version}),
- librust-yaxpeax-arm-0.3.0+default-dev (= ${binary:Version}),
- librust-yaxpeax-arm-0.3.0+serde-dev (= ${binary:Version}),
- librust-yaxpeax-arm-0.3.0+serde-derive-dev (= ${binary:Version}),
- librust-yaxpeax-arm-0.3.0+std-dev (= ${binary:Version}),
- librust-yaxpeax-arm-0.3.0+use-serde-dev (= ${binary:Version})
+ librust-yaxpeax-arm-0.3.1-dev (= ${binary:Version}),
+ librust-yaxpeax-arm-0.3.1+default-dev (= ${binary:Version}),
+ librust-yaxpeax-arm-0.3.1+serde-dev (= ${binary:Version}),
+ librust-yaxpeax-arm-0.3.1+serde-derive-dev (= ${binary:Version}),
+ librust-yaxpeax-arm-0.3.1+std-dev (= ${binary:Version}),
+ librust-yaxpeax-arm-0.3.1+use-serde-dev (= ${binary:Version})
 Description: Arm decoders for the yaxpeax project - Rust source code
  Source code for Debianized Rust crate "yaxpeax-arm"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arm 0.3.1 --all-targets --all-features
Features: test-name=rust-yaxpeax-arm:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arm 0.3.1 --all-targets
Features: test-name=librust-yaxpeax-arm-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arm 0.3.1 --all-targets --no-default-features --features serde
Features: test-name=librust-yaxpeax-arm-dev:serde
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arm 0.3.1 --all-targets --no-default-features --features serde_derive
Features: test-name=librust-yaxpeax-arm-dev:serde_derive
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arm 0.3.1 --all-targets --no-default-features --features std
Features: test-name=librust-yaxpeax-arm-dev:std
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arm 0.3.1 --all-targets --no-default-features --features use-serde
Features: test-name=librust-yaxpeax-arm-dev:use-serde
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arm 0.3.1 --all-targets --no-default-features
Features: test-name=librust-yaxpeax-arm-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/yaxpeax-arm-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/yaxpeax-arm .*/crates/yaxpeax-arm/@ANY_VERSION@/download
